{% if include.alt %}
{% assign figid = include.alt %}
{% else %}
{% assign figid = include.file %}
{% endif %}

<figure id="fig-{{ figid | downcase | replace: ' ', '-' | replace: '/', '-' | remove: '.' }}" class="figure">
  {% if include.url %}
  <a href="{{ include.url }}">
    <img src="{{ site.url }}{{ site.baseurl }}/assets/img/{{ include.file }}" class="figure-img img-fluid rounded{% if include.extraclasses %} {{ include.extraclasses }}{% endif %}" alt="{{ include.alt }}"/>
  </a>
  {% else %}
  <img src="{{ site.url }}{{ site.baseurl }}/assets/img/{{ include.file }}" class="figure-img img-fluid rounded{% if include.extraclasses %} {{ include.extraclasses }}{% endif %}" alt="{{ include.alt }}"/>
  {% endif %}
  {% if include.caption %}
  <figcaption class="figure-caption text-center">{{ include.caption }}</figcaption>
  {% endif %}
</figure>
